MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026618Open CASCADE[OCCT] OCCT:Configurationpublic2015-08-31 15:012016-04-20 15:48
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026618: CMake should disable ability to use 3rdparty if there is no any included toolkit that can use it
DescriptionFreetype is used by TKOpenGl, TKService, TKV3d and TKVieverTest toolkit.

There is no need to offers USE_FREETYPE variable when corresponding toolkits are not built.
Steps To Reproducebuild only TKernel, CMake should offer only USE_TBB and USE_VTK variables.
build TKService - freetype is chosen by default, USE_FREEIMAGE variable appeard
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0044885)
ibs (developer)
2015-08-31 15:02

Parse EXTERNLIB of each built toolkit for corresponding CSF_ variable
(0044889)
git (administrator)
2015-08-31 15:43

Branch CR26618 has been created by ibs.

SHA-1: b333eb0347326da60bf7fbcb9e750679be859b9e


Detailed log of new commits:

Author: ibs
Date: Mon Aug 31 15:11:27 2015 +0300

    0026618: CMake should disable ability to use 3rdparty if there is no any included toolkit that can use it
    
    the offers to use of Freeimage, GL2PS and TBB are enabled dynamically.
(0044890)
ibs (developer)
2015-08-31 15:48

dear ski, please review CR26618 branch
(0044921)
ski (developer)
2015-09-01 11:46

No remarks.

I have reproduced "Steps To Reproduce", it seems that all is OK.
(0047006)
git (administrator)
2015-10-16 16:37

Branch CR26618 has been deleted by kgv.

SHA-1: b333eb0347326da60bf7fbcb9e750679be859b9e

- Related Changesets
occt: master 5682a6fa
Timestamp: 2015-08-31 12:11:27
Author: ibs
Committer: bugmaster
Details ] Diff ]
0026618: CMake should disable ability to use 3rdparty if there is no any included toolkit that can use it

the offers to use of Freeimage, GL2PS and TBB are enabled dynamically.
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-31 15:01 ibs New Issue
2015-08-31 15:01 ibs Assigned To => ibs
2015-08-31 15:02 ibs Note Added: 0044885
2015-08-31 15:43 git Note Added: 0044889
2015-08-31 15:48 ibs Note Added: 0044890
2015-08-31 15:48 ibs Assigned To ibs => ski
2015-08-31 15:48 ibs Status new => resolved
2015-08-31 15:48 ibs Steps to Reproduce Updated View Revisions
2015-09-01 11:46 ski Note Added: 0044921
2015-09-01 11:46 ski Assigned To ski => bugmaster
2015-09-01 11:46 ski Status resolved => reviewed
2015-09-03 12:27 bugmaster Status reviewed => tested
2015-09-04 13:02 bugmaster Changeset attached => occt master 5682a6fa
2015-09-04 13:02 bugmaster Status tested => verified
2015-09-04 13:02 bugmaster Resolution open => fixed
2015-10-16 16:37 git Note Added: 0047006
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker